<?php

namespace App\Controllers\Admin\Equipment\Part;

use App\Helpers\Equipment\Part\StorageHelper;
use App\Services\Equipment\Part\StorageService;
use CodeIgniter\HTTP\RequestInterface;

use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class StorageController extends PartController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): StorageService
    {
        if (!$this->_service) {
            $this->_service = new StorageService($this->request);
        }
        return $this->_service;
    }
    public function getHelper(): StorageHelper
    {
        if (!$this->_helper) {
            $this->_helper = new StorageHelper($this->request);
        }
        return $this->_helper;
    }
    //Index,FieldForm관련
    protected function setOrderByForList(): void
    {
        //OrderBy 처리
        $this->getService()->getModel()->orderBy('model', 'ASC', false);
        parent::setOrderByForList();
    }
}
